## ros-rolling-libyaml-vendor 1.6.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(libyaml_vendor)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
endif()

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_vendor_package REQUIRED)

list(INSERT CMAKE_MODULE_PATH 0 "${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules")
find_package(yaml 0.2.5 EXACT QUIET)

ament_vendor(libyaml_vendor
  SATISFIED ${yaml_FOUND}
  VCS_URL https://github.com/yaml/libyaml.git
  VCS_VERSION 0.2.5
  CMAKE_ARGS
    "-DCMAKE_C_FLAGS:STRING=${CMAKE_C_FLAGS}$<$<BOOL:${MSVC}>: /wd4244 /wd4267 /wd4996>"
)

ament_export_dependencies(yaml)

if(BUILD_TESTING)
  if(TARGET libyaml_vendor)
    add_library(yaml_library INTERFACE)
    externalproject_get_property(libyaml_vendor INSTALL_DIR)
    target_include_directories(yaml_library INTERFACE "${INSTALL_DIR}/include")
    target_link_directories(yaml_library INTERFACE "${INSTALL_DIR}/lib")
    target_link_libraries(yaml_library INTERFACE ${CMAKE_LINK_LIBRARY_FLAG}yaml)
    add_dependencies(yaml_library libyaml_vendor)
  else()
    add_library(yaml_library ALIAS yaml)
  endif()

  # We need to install a Findyaml.cmake file that does not respect
  # ament_cmake_lint_cmake's convention/filename and package/stdargs rules
  # See https://github.com/ros2/libyaml_vendor/pull/45#issuecomment-1087559657
  list(APPEND AMENT_LINT_AUTO_EXCLUDE
    ament_cmake_lint_cmake
  )
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
  find_package(ament_cmake_lint_cmake REQUIRED)
  ament_lint_cmake("--filter=-convention/filename,-package/stdargs")

  find_package(ament_cmake_gtest REQUIRED)
  find_package(rcpputils REQUIRED)
  find_package(performance_test_fixture REQUIRED)
  # Give cppcheck hints about macro definitions coming from outside this package
  get_target_property(ament_cmake_cppcheck_ADDITIONAL_INCLUDE_DIRS
    performance_test_fixture::performance_test_fixture INTERFACE_INCLUDE_DIRECTORIES)

  ament_add_gtest(test_yaml_reader test/test_reader.cpp
      WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}")
  if(TARGET test_yaml_reader)
    target_link_libraries(test_yaml_reader yaml_library)
    ament_target_dependencies(test_yaml_reader rcpputils)
  endif()

  add_performance_test(benchmark_reader test/benchmark/benchmark_reader.cpp
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}")
  if(TARGET benchmark_reader)
    target_link_libraries(benchmark_reader yaml_library)
    ament_target_dependencies(benchmark_reader rcpputils)
  endif()
endif()

install(DIRECTORY cmake DESTINATION share/${PROJECT_NAME})

ament_package(CONFIG_EXTRAS libyaml_vendor-extras.cmake)

## ros-rolling-libyaml-vendor 1.2.0

=== debian/changelog ===
ros-rolling-libyaml-vendor (1.2.0-1focal) focal; urgency=high

  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#38 <https://github.com/ros2/libyaml_vendor/issues/38>)
  * Update libyaml_vendor to 0.2.5. (#37 <https://github.com/ros2/libyaml_vendor/issues/37>)
  * Contributors: Chris Lalancette, shonigmann

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 06 Apr 2021 00:00:00 -0000

ros-rolling-libyaml-vendor (1.1.1-1focal) focal; urgency=high

  * Fix linker flags for tests when CMake < 3.13 (#35 <https://github.com/ros2/libyaml_vendor/issues/35>)
  * Always preserve source permissions in vendor packages (#31 <https://github.com/ros2/libyaml_vendor/issues/31>)
  * Contributors: Scott K Logan

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 10 Mar 2021 00:00:00 -0000

ros-rolling-libyaml-vendor (1.1.0-1focal) focal; urgency=high

  * Fix target_link_directories/link_directories in cmake (#29 <https://github.com/ros2/libyaml_vendor/issues/29>)
  * Included benchmark tests (#20 <https://github.com/ros2/libyaml_vendor/issues/20>)
  * Update Quality Declaration (#23 <https://github.com/ros2/libyaml_vendor/issues/23>)
  * Update package maintainers. (#22 <https://github.com/ros2/libyaml_vendor/issues/22>)
  * Bump QD to 3 and some minor style fixes (#19 <https://github.com/ros2/libyaml_vendor/issues/19>)
  * Add Security Vulnerability Policy pointing to REP-2006. (#18 <https://github.com/ros2/libyaml_vendor/issues/18>)
  * Add quality declaration libyaml_vendor (#12 <https://github.com/ros2/libyaml_vendor/issues/12>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Jorge Perez, Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 25 Jan 2021 00:00:00 -0000

ros-rolling-libyaml-vendor (1.0.2-1focal) focal; urgency=high

  * Quality declaration for external dependency libyaml (#14 <https://github.com/ros2/libyaml_vendor/issues/14>)
  * Add missing Contributing.md file (#17 <https://github.com/ros2/libyaml_vendor/issues/17>)
  * Export modern CMake interface target (#16 <https://github.com/ros2/libyaml_vendor/issues/16>)
  * Contributors: Dirk Thomas, Jorge Perez

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 07 May 2020 00:00:00 -0000

ros-rolling-libyaml-vendor (1.0.1-1focal) focal; urgency=high

  * Add missing export of yaml (#15 <https://github.com/ros2/libyaml_vendor/issues/15>)
  * Only propagate CMAKE_BUILD_TYPE for single configuration generators (#13 <https://github.com/ros2/libyaml_vendor/issues/13>)
  * Enable linter tests on libyaml_vendor (#8 <https://github.com/ros2/libyaml_vendor/issues/8>)
  * Add missing LICENSE file, apache2 (#7 <https://github.com/ros2/libyaml_vendor/issues/7>)

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 24 Apr 2020 00:00:00 -0000

ros-rolling-libyaml-vendor (1.0.0-1focal) focal; urgency=high

  * remove version from CMake, use the one from package.xml instead (#5 <https://github.com/ros2/libyaml_vendor/issues/5>)
    * remove version from CMake, use the one from package.xml instead
    * removing version keyword as well
  * Export libyaml library (#4 <https://github.com/ros2/libyaml_vendor/issues/4>)
    * Export libyaml library
    * Remove lib prefix
  * Added support for Android (#2 <https://github.com/ros2/libyaml_vendor/issues/2>)
  * create libyaml_vendor (#1 <https://github.com/ros2/libyaml_vendor/issues/1>)
    * create libyaml
    * Don't install to include/config.h
  * Initial commit
  * Contributors: Mickael Gaillard, Mikael Arguedas, dhood

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 25 Jun 2018 00:00:00 -0000

=== debian/control ===
Source: ros-rolling-libyaml-vendor
Section: misc
Priority: optional
Maintainer: Michel Hidalgo <michel@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-performance-test-fixture, ros-rolling-rcpputils, ros-rolling-ros-workspace
Homepage: https://github.com/yaml/libyaml
Standards-Version: 3.9.2

Package: ros-rolling-libyaml-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ros-workspace
Description: Vendored version of libyaml.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-libyaml-vendor//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-libyaml-vendor 1.6.1

=== debian/changelog ===
ros-rolling-libyaml-vendor (1.6.1-1jammy) jammy; urgency=high

  * Set to C++17. (#59 <https://github.com/ros2/libyaml_vendor/issues/59>)
  * Switch to ament_cmake_vendor_package (#58 <https://github.com/ros2/libyaml_vendor/issues/58>)
  * Contributors: Chris Lalancette, Scott K Logan

 -- Scott K Logan <scott@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-libyaml-vendor (1.6.0-1jammy) jammy; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-libyaml-vendor (1.5.0-1jammy) jammy; urgency=high

  * Fix system package dependency (#54 <https://github.com/ros2/libyaml_vendor/issues/54>)
  * Update libyaml_vendor to C++17. (#55 <https://github.com/ros2/libyaml_vendor/issues/55>)
  * [rolling] Update maintainers - 2022-11-07 (#53 <https://github.com/ros2/libyaml_vendor/issues/53>)
  * Contributors: Audrow Nash, Chris Lalancette, Scott K Logan

 -- Scott K Logan <scott@openrobotics.org>  Mon, 13 Feb 2023 00:00:00 -0000

ros-rolling-libyaml-vendor (1.4.2-1jammy) jammy; urgency=high

  * Remove a warning message. (#51 <https://github.com/ros2/libyaml_vendor/issues/51>)
  * check if libyaml is already present before building it (take 2) (#45 <https://github.com/ros2/libyaml_vendor/issues/45>)
  * Contributors: Chris Lalancette, Silvio Traversaro

 -- Scott K Logan <scott@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-libyaml-vendor (1.4.1-1jammy) jammy; urgency=high

  * Mirror rolling to master
  * Support WindowsStore builds for ROS2 (#50 <https://github.com/ros2/libyaml_vendor/issues/50>)
    * libyaml for uwp
  * Contributors: Audrow Nash, Lou Amadio

 -- Scott K Logan <scott@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-libyaml-vendor (1.4.0-1jammy) jammy; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Wed, 04 May 2022 00:00:00 -0000

ros-rolling-libyaml-vendor (1.3.0-1jammy) jammy; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-libyaml-vendor (1.2.2-1jammy) jammy; urgency=high

  * Add a buildtool dependency on git. (#48 <https://github.com/ros2/libyaml_vendor/issues/48>)
  * Contributors: Steven! Ragnarök

 -- Scott K Logan <scott@openrobotics.org>  Thu, 31 Mar 2022 00:00:00 -0000

ros-rolling-libyaml-vendor (1.2.1-1jammy) jammy; urgency=high

  * Install headers to include/${PROJECT_NAME} (#46 <https://github.com/ros2/libyaml_vendor/issues/46>)
  * Merge pull request #43 <https://github.com/ros2/libyaml_vendor/issues/43> from ros2/update-maintainers
  * Update maintainers to Audrow Nash
  * Contributors: Audrow Nash, Shane Loretz

 -- Scott K Logan <scott@openrobotics.org>  Mon, 28 Mar 2022 00:00:00 -0000

ros-rolling-libyaml-vendor (1.2.0-1jammy) jammy; urgency=high

  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#38 <https://github.com/ros2/libyaml_vendor/issues/38>)
  * Update libyaml_vendor to 0.2.5. (#37 <https://github.com/ros2/libyaml_vendor/issues/37>)
  * Contributors: Chris Lalancette, shonigmann

 -- Scott K Logan <scott@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-rolling-libyaml-vendor (1.1.1-1jammy) jammy; urgency=high

  * Fix linker flags for tests when CMake < 3.13 (#35 <https://github.com/ros2/libyaml_vendor/issues/35>)
  * Always preserve source permissions in vendor packages (#31 <https://github.com/ros2/libyaml_vendor/issues/31>)
  * Contributors: Scott K Logan

 -- Scott K Logan <scott@openrobotics.org>  Wed, 10 Mar 2021 00:00:00 -0000

ros-rolling-libyaml-vendor (1.1.0-1jammy) jammy; urgency=high

  * Fix target_link_directories/link_directories in cmake (#29 <https://github.com/ros2/libyaml_vendor/issues/29>)
  * Included benchmark tests (#20 <https://github.com/ros2/libyaml_vendor/issues/20>)
  * Update Quality Declaration (#23 <https://github.com/ros2/libyaml_vendor/issues/23>)
  * Update package maintainers. (#22 <https://github.com/ros2/libyaml_vendor/issues/22>)
  * Bump QD to 3 and some minor style fixes (#19 <https://github.com/ros2/libyaml_vendor/issues/19>)
  * Add Security Vulnerability Policy pointing to REP-2006. (#18 <https://github.com/ros2/libyaml_vendor/issues/18>)
  * Add quality declaration libyaml_vendor (#12 <https://github.com/ros2/libyaml_vendor/issues/12>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Jorge Perez, Michel Hidalgo

 -- Scott K Logan <scott@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-rolling-libyaml-vendor (1.0.2-1jammy) jammy; urgency=high

  * Quality declaration for external dependency libyaml (#14 <https://github.com/ros2/libyaml_vendor/issues/14>)
  * Add missing Contributing.md file (#17 <https://github.com/ros2/libyaml_vendor/issues/17>)
  * Export modern CMake interface target (#16 <https://github.com/ros2/libyaml_vendor/issues/16>)
  * Contributors: Dirk Thomas, Jorge Perez

 -- Scott K Logan <scott@openrobotics.org>  Thu, 07 May 2020 00:00:00 -0000

ros-rolling-libyaml-vendor (1.0.1-1jammy) jammy; urgency=high

  * Add missing export of yaml (#15 <https://github.com/ros2/libyaml_vendor/issues/15>)
  * Only propagate CMAKE_BUILD_TYPE for single configuration generators (#13 <https://github.com/ros2/libyaml_vendor/issues/13>)
  * Enable linter tests on libyaml_vendor (#8 <https://github.com/ros2/libyaml_vendor/issues/8>)
  * Add missing LICENSE file, apache2 (#7 <https://github.com/ros2/libyaml_vendor/issues/7>)

 -- Scott K Logan <scott@openrobotics.org>  Fri, 24 Apr 2020 00:00:00 -0000

ros-rolling-libyaml-vendor (1.0.0-1jammy) jammy; urgency=high

  * remove version from CMake, use the one from package.xml instead (#5 <https://github.com/ros2/libyaml_vendor/issues/5>)
    * remove version from CMake, use the one from package.xml instead
    * removing version keyword as well
  * Export libyaml library (#4 <https://github.com/ros2/libyaml_vendor/issues/4>)
    * Export libyaml library
    * Remove lib prefix


=== debian/control ===
Source: ros-rolling-libyaml-vendor
Section: misc
Priority: optional
Maintainer: Scott K Logan <scott@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libyaml-dev, pkg-config, ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-cmake-vendor-package, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-performance-test-fixture <!nocheck>, ros-rolling-rcpputils <!nocheck>, ros-rolling-rcutils <!nocheck>, ros-rolling-ros-workspace
Homepage: https://github.com/yaml/libyaml
Standards-Version: 3.9.2

Package: ros-rolling-libyaml-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-0-2, libyaml-dev, pkg-config, ros-rolling-ros-workspace
Description: Vendored version of libyaml.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
